Index: trunk/src/series.m
===================================================================
--- trunk/src/series.m	(revision 1072)
+++ trunk/src/series.m	(revision 1078)
@@ -1459,6 +1459,6 @@
     return
 end
-if isfield(Param,'InputFields')&& isfield(Param.InputFields,'FieldName')&& isequal(Param.InputFields.FieldName,'get_field...')
-    errormsg='input field name(s) not defined, select get_field...';
+if isfield(Param,'InputFields')&& isfield(Param.InputFields,'FieldName')&& isequal(Param.InputFields.FieldName,'add_field...')
+    errormsg='input field name(s) not defined, select add_field...';
     return
 end
@@ -2450,5 +2450,5 @@
         set(handles.VelType_1,'Visible','on')
         set(handles.VelType_title_1,'Visible','on')
-        FieldList_1=[set_field_list('U','V');{'C'};{'get_field...'}]; % standard menu for civx data
+        FieldList_1=[set_field_list('U','V');{'C'};{'add_field...'}]; % standard menu for civx data
         CheckList_1=1;
         set(handles.FieldName_1,'Value',1); % velocity vector choice by default
@@ -2467,4 +2467,5 @@
     if FieldNameRequest && isfield(SeriesData.FileInfo{iview_netcdf(1)},'ListVarName')
         set(handles.FieldName,'Visible','on')
+        set(handles.Field_text,'Visible','on')
         ListVarName=SeriesData.FileInfo{iview_netcdf(1)}.ListVarName;
         ind_var=get(handles.FieldName,'Value'); % indices of previously selected variables
@@ -2491,9 +2492,10 @@
     else
         set(handles.FieldName,'Visible','off')
+        set(handles.Field_text,'Visible','off')
     end
     
     set(handles_coord,'Visible','on')
-    if isempty(find(strcmp('get_field...',FieldList)))
-    FieldList=[FieldList;{'get_field...'}];%add 'get_field...' to the menu FieldName if it is not already
+    if isempty(find(strcmp('add_field...',FieldList)))
+    FieldList=[FieldList;{'add_field...'}];%add 'add_field...' to the menu FieldName if it is not already
     end
     if FieldNameRequest_1 && numel(iview_netcdf)>=2
@@ -2530,6 +2532,8 @@
     end
     if isempty(FieldList)
+        set(handles.Field_text,'Visible','off')
         set(handles.FieldName,'Visible','off')
     else
+        set(handles.Field_text,'Visible','on')
         set(handles.FieldName,'Visible','on')
         set(handles.FieldName,'String',FieldList)
@@ -2757,12 +2761,23 @@
 set(handles.ActionInput,'BackgroundColor',[1 0 0])
 
+
+%------------------------------------------------------------------------
+% --- Executes on button press in RefreshField.
+function RefreshField_Callback(hObject, eventdata, handles)
+%------------------------------------------------------------------------
+set(handles.FieldName,'String',{'add_field...'});
+set(handles.FieldName,'Value',1);
+FieldName_Callback(hObject, eventdata, handles)
+
+
 %------------------------------------------------------------------------
 % --- Executes on selection change in FieldName.
 function FieldName_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
-field_str=get(handles.FieldName,'String');
+FieldListInit=get(handles.FieldName,'String');
 field_index=get(handles.FieldName,'Value');
-field=field_str{field_index(1)};
-if isequal(field,'get_field...')
+field=FieldListInit{field_index(1)};
+if isequal(field,'add_field...')
+    FieldListInit(field_index(1))=[];
     SeriesData=get(handles.series,'UserData');
     % input line for which the field choice is relevant
@@ -2776,5 +2791,5 @@
     % check the existence of the first file in the series
     first_j=[];last_j=[];MinIndex_j=1;MaxIndex_j=1; % default setting for index j
-    if isfield(Param.IndexRange,'first_j'); % if index j is used     
+    if isfield(Param.IndexRange,'first_j') % if index j is used     
         first_j=Param.IndexRange.first_j;
         last_j=Param.IndexRange.last_j;
@@ -2789,8 +2804,4 @@
         answer=msgbox_uvmat('INPUT_TXT',['select the line of the input table:' num2str(iview)] ,num2str(iview(1)));
         LineIndex=str2num(answer);
-%         InputLine=str2num(get(handles.InputLine,'String'));
-%         if ismember(InputLine,iview)
-%             LineIndex=InputLine;
-%         end
     end
     FirstFileName=fullfile_uvmat(InputTable{LineIndex,1},InputTable{LineIndex,2},InputTable{LineIndex,3},...
@@ -2826,5 +2837,5 @@
         end
         set(handles.FieldName,'Value',1)
-        set(handles.FieldName,'String',[FieldList; {'get_field...'}]);
+        set(handles.FieldName,'String',[FieldListInit; FieldList; {'add_field...'}]);
         if ~strcmp(GetFieldData.FieldOption,'civdata...')
            if ~isempty(regexp(FieldList{1},'^vec'))
@@ -2913,5 +2924,5 @@
 field_index=get(handles.FieldName_1,'Value');
 field=field_str{field_index(1)};
-if isequal(field,'get_field...')
+if isequal(field,'add_field...')
     hget_field=findobj(allchild(0),'name','get_field');
     if ~isempty(hget_field)
@@ -2973,5 +2984,5 @@
         end
         set(handles.FieldName_1,'Value',1)
-        set(handles.FieldName_1,'String',[FieldList; {'get_field...'}]);
+        set(handles.FieldName_1,'String',[FieldList; {'add_field...'}]);
     end
 end   
@@ -3378,5 +3389,5 @@
     ListField=Param.InputFields.FieldName;
     if ischar(ListField),ListField={ListField}; end
-    set(handles.FieldName,'String',[ListField;{'get-field...'}])
+    set(handles.FieldName,'String',[ListField;{'add_field...'}])
      set(handles.FieldName,'Value',1:numel(ListField))
      set(handles.FieldName,'Visible','on')
@@ -3866,5 +3877,4 @@
 
 
-
 % --- Executes on button press in Replicate.
 function Replicate_Callback(hObject, eventdata, handles)
@@ -3882,4 +3892,2 @@
 end
 
-
-
